package com.ruoyi.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.SmsLog;
import com.ruoyi.system.mapper.SmsLogMapper;
import com.ruoyi.system.service.ISmsLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 短信发送记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-05-25
 */
@Service
public class SmsLogServiceImpl implements ISmsLogService
{
    @Autowired
    private SmsLogMapper smsLogMapper;

    /**
     * 查询短信发送记录
     * 
     * @param id 短信发送记录ID
     * @return 短信发送记录
     */
    @Override
    public SmsLog selectSmsLogById(Long id)
    {
        return smsLogMapper.selectSmsLogById(id);
    }

    /**
     * 查询短信发送记录列表
     * 
     * @param smsLog 短信发送记录
     * @return 短信发送记录
     */
    @Override
    public List<SmsLog> selectSmsLogList(SmsLog smsLog)
    {
        return smsLogMapper.selectSmsLogList(smsLog);
    }

    /**
     * 新增短信发送记录
     * 
     * @param smsLog 短信发送记录
     * @return 结果
     */
    @Override
    public int insertSmsLog(SmsLog smsLog)
    {
        smsLog.setCreateTime(DateUtils.getNowDate());
        return smsLogMapper.insertSmsLog(smsLog);
    }

    /**
     * 修改短信发送记录
     * 
     * @param smsLog 短信发送记录
     * @return 结果
     */
    @Override
    public int updateSmsLog(SmsLog smsLog)
    {
        smsLog.setUpdateTime(DateUtils.getNowDate());
        return smsLogMapper.updateSmsLog(smsLog);
    }

    /**
     * 批量删除短信发送记录
     * 
     * @param ids 需要删除的短信发送记录ID
     * @return 结果
     */
    @Override
    public int deleteSmsLogByIds(Long[] ids)
    {
        return smsLogMapper.deleteSmsLogByIds(ids);
    }

    /**
     * 删除短信发送记录信息
     * 
     * @param id 短信发送记录ID
     * @return 结果
     */
    @Override
    public int deleteSmsLogById(Long id)
    {
        return smsLogMapper.deleteSmsLogById(id);
    }
}
